com.amazonaws.services.codedeploy.model

## Class InstanceInfo

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.InstanceInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class InstanceInfo
    extends Object
    implements Serializable, Cloneable

Information about an on-premises instance.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InstanceInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InstanceInfo` `clone()`
`boolean` `equals(Object obj)`
`Date` `getDeregisterTime()` If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.
`String` `getIamUserArn()` The IAM user ARN associated with the on-premises instance.
`String` `getInstanceArn()` The ARN of the on-premises instance.
`String` `getInstanceName()` The name of the on-premises instance.
`Date` `getRegisterTime()` The time at which the on-premises instance was registered.
`List<Tag>` `getTags()` The tags currently associated with the on-premises instance.
`int` `hashCode()`
`void` `setDeregisterTime(Date deregisterTime)` If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.
`void` `setIamUserArn(String iamUserArn)` The IAM user ARN associated with the on-premises instance.
`void` `setInstanceArn(String instanceArn)` The ARN of the on-premises instance.
`void` `setInstanceName(String instanceName)` The name of the on-premises instance.
`void` `setRegisterTime(Date registerTime)` The time at which the on-premises instance was registered.
`void` `setTags(Collection<Tag> tags)` The tags currently associated with the on-premises instance.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceInfo` `withDeregisterTime(Date deregisterTime)` If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.
`InstanceInfo` `withIamUserArn(String iamUserArn)` The IAM user ARN associated with the on-premises instance.
`InstanceInfo` `withInstanceArn(String instanceArn)` The ARN of the on-premises instance.
`InstanceInfo` `withInstanceName(String instanceName)` The name of the on-premises instance.
`InstanceInfo` `withRegisterTime(Date registerTime)` The time at which the on-premises instance was registered.
`InstanceInfo` `withTags(Collection<Tag> tags)` The tags currently associated with the on-premises instance.
`InstanceInfo` `withTags(Tag... tags)` The tags currently associated with the on-premises instance.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InstanceInfo

    public InstanceInfo()

### Method Detail

#### setInstanceName

    public void setInstanceName(String instanceName)

The name of the on-premises instance.

Parameters:
  `instanceName` - The name of the on-premises instance.

#### getInstanceName

    public String getInstanceName()

The name of the on-premises instance.

Returns:
  The name of the on-premises instance.

#### withInstanceName

    public InstanceInfo withInstanceName(String instanceName)

The name of the on-premises instance.

Parameters:
  `instanceName` - The name of the on-premises instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIamUserArn

    public void setIamUserArn(String iamUserArn)

The IAM user ARN associated with the on-premises instance.

Parameters:
  `iamUserArn` - The IAM user ARN associated with the on-premises instance.

#### getIamUserArn

    public String getIamUserArn()

The IAM user ARN associated with the on-premises instance.

Returns:
  The IAM user ARN associated with the on-premises instance.

#### withIamUserArn

    public InstanceInfo withIamUserArn(String iamUserArn)

The IAM user ARN associated with the on-premises instance.

Parameters:
  `iamUserArn` - The IAM user ARN associated with the on-premises instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInstanceArn

    public void setInstanceArn(String instanceArn)

The ARN of the on-premises instance.

Parameters:
  `instanceArn` - The ARN of the on-premises instance.

#### getInstanceArn

    public String getInstanceArn()

The ARN of the on-premises instance.

Returns:
  The ARN of the on-premises instance.

#### withInstanceArn

    public InstanceInfo withInstanceArn(String instanceArn)

The ARN of the on-premises instance.

Parameters:
  `instanceArn` - The ARN of the on-premises instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRegisterTime

    public void setRegisterTime(Date registerTime)

The time at which the on-premises instance was registered.

Parameters:
  `registerTime` - The time at which the on-premises instance was registered.

#### getRegisterTime

    public Date getRegisterTime()

The time at which the on-premises instance was registered.

Returns:
  The time at which the on-premises instance was registered.

#### withRegisterTime

    public InstanceInfo withRegisterTime(Date registerTime)

The time at which the on-premises instance was registered.

Parameters:
  `registerTime` - The time at which the on-premises instance was registered.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeregisterTime

    public void setDeregisterTime(Date deregisterTime)

If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.

Parameters:
  `deregisterTime` - If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.

#### getDeregisterTime

    public Date getDeregisterTime()

If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.

Returns:
  If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.

#### withDeregisterTime

    public InstanceInfo withDeregisterTime(Date deregisterTime)

If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.

Parameters:
  `deregisterTime` - If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTags

    public List<Tag> getTags()

The tags currently associated with the on-premises instance.

Returns:
  The tags currently associated with the on-premises instance.

#### setTags

    public void setTags(Collection<Tag> tags)

The tags currently associated with the on-premises instance.

Parameters:
  `tags` - The tags currently associated with the on-premises instance.

#### withTags

    public InstanceInfo withTags(Tag... tags)

The tags currently associated with the on-premises instance.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - The tags currently associated with the on-premises instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public InstanceInfo withTags(Collection<Tag> tags)

The tags currently associated with the on-premises instance.

Parameters:
  `tags` - The tags currently associated with the on-premises instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public InstanceInfo clone()

Overrides:
  `clone` in class `Object`